---
title: HTMLFormElement.name
slug: Web/API/HTMLFormElement/name
tags:
  - API
  - HTML DOM
  - HTMLFormElement
  - NeedsSpecTable
  - Property
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <strong><code>HTMLFormElement.name</code></strong> property represents the name of the current {{HtmlElement("form")}} element as a string.</p>

<p>If your {{HTMLElement("Form")}} element contains an element named <em>name</em> then that element overrides the <code>form.name</code> property, so that you can't access it. Internet Explorer (IE) does not allow the name attribute of an element created using <code>createElement()</code> to be set or modified using the <code>name</code> property.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>string</em> = <em>form</em>.name;
<em>form</em>.name = <em>string</em>;</pre>

<h2 id="Example">Example</h2>

<pre class="brush:js">var form1name = document.getElementById('form1').name;

if (form1name != document.form.form1) {
  // Browser doesn't support this form of reference
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-form-name', 'HTMLFormElement: name')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLFormElement.name")}}</p>
